# TokenTransferPayload | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- TokenTransferPayload

## Index

### Properties

- amount
- memo
- payloadType
- recipient
- type

## Properties

### Readonly amount

amount: BigNum

- Defined in packages/transactions/src/payload.ts:36

### Readonly memo

memo: MemoString

- Defined in packages/transactions/src/payload.ts:37

### Readonly payloadType

payloadType: TokenTransfer

- Defined in packages/transactions/src/payload.ts:34

### Readonly recipient

recipient: PrincipalCV

- Defined in packages/transactions/src/payload.ts:35

### Readonly type

type: Payload

- Defined in packages/transactions/src/payload.ts:33

Generated using TypeDoc